Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class MergePolicy.DocMap

    java.lang.Object
      org.apache.lucene.index.MergePolicy.DocMap

Enclosing class:
  MergePolicy

    public abstract static class MergePolicy.DocMap

extends Object

A map of doc IDs.

Constructor Summary
`protected` | `MergePolicy.DocMap()` Sole constructor, typically invoked from sub-classes constructors.

Method Summary
`abstract int` | `map(int old)` Return the new doc ID according to its old value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergePolicy.DocMap

    protected MergePolicy.DocMap()

  Sole constructor, typically invoked from sub-classes constructors.

Method Detail

### map

    public abstract int map(int old)

  Return the new doc ID according to its old value.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.